
#include <SPI.h>      //SPI library for communication with the nRF24L01+
#include "RF24.h"  //The main library of the nRF24L01+
#include <Servo.h> // servo library
#include <RF24Network.h>


RF24 radio (7,8); // CE,CSN
RF24Network network(radio);      // Include the radio in the network
const uint16_t node04 = 04;   // Address of our node in Octal format ( 04,031, etc)
const uint16_t base00 = 00; 

Servo myServoo;
Servo myServo;

//Define packet for the direction (X axis and Y axis)
int data[2];


boolean t1= false;




void setup() {
Serial.begin(9600);
SPI.begin();
myServoo.attach(4);
myServo.attach(5);
radio.begin();                    //Start the nRF24 communicate            
network.begin(90,node04);   
radio.setDataRate(RF24_2MBPS);

}

void loop() {
   network.update();
  //===== Receiving =====//
  while ( network.available() ) {     // Is there any incoming data?
     RF24NetworkHeader header4;
     network.read(header4, &data, sizeof(data)); // Read the incoming data
     
    
if(data[0]>500 && data[1] >500){
  t1=!t1;
  delay(1000);
}

if(t1==true) {
 myServoo.write(40);
 delay(200);
 }
 else {
 myServoo.write(0);
 delay(200);
   }

}
}




